Get a diagnostic report by ID
get
/DiagnosticReport/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual diagnostic report by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : DiagnosticReport
Type:
objectThe FHIR R4 DiagnosticReport resource.
Show Source
-
_effectiveDateTime: object
PrimitiveElementForDiagnosticReport
-
_issued: object
PrimitiveElementForDiagnosticReport
-
basedOn: array
basedOn
-
category(required): array
category
-
code(required): object
CodeableConceptForDiagnosticReport
-
conclusionCode: array
conclusionCode
-
effectiveDateTime: string
(date-time)
-
effectivePeriod: object
Period
-
encounter: object
ReferenceForDiagnosticReport
-
id(required): string
-
identifier: array
identifier
-
issued: string
(date-time)
-
media: array
media
-
meta: object
meta
-
performer: array
performer
-
presentedForm: array
presentedForm
-
resourceType(required): string
Allowed Values:
[ "DiagnosticReport" ] -
result: array
result
-
resultsInterpreter: array
resultsInterpreter
-
specimen: array
specimen
-
status(required): string
-
subject(required): object
ReferenceForDiagnosticReport
-
text: object
Narrative
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source